/***************************************************************************************************

    ██╗  ██╗███████╗██████╗  ██████╗     ███████╗███████╗ ██████╗████████╗██╗ ██████╗ ███╗   ██╗
    ██║  ██║██╔════╝██╔══██╗██╔═══██╗    ██╔════╝██╔════╝██╔════╝╚══██╔══╝██║██╔═══██╗████╗  ██║
    ███████║█████╗  ██████╔╝██║   ██║    ███████╗█████╗  ██║        ██║   ██║██║   ██║██╔██╗ ██║
    ██╔══██║██╔══╝  ██╔══██╗██║   ██║    ╚════██║██╔══╝  ██║        ██║   ██║██║   ██║██║╚██╗██║
    ██║  ██║███████╗██║  ██║╚██████╔╝    ███████║███████╗╚██████╗   ██║   ██║╚██████╔╝██║ ╚████║
    ╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝ ╚═════╝     ╚══════╝╚══════╝ ╚═════╝   ╚═╝   ╚═╝ ╚═════╝ ╚═╝  ╚═══╝
                                                                                                
 ***************************************************************************************************/



/* Main style. */
.hero-section .hero-video-wrapper,
.hero-section .hero-image-wrapper {
    position: relative;
    height: 100vh;
    height: 100svh;
}

    .hero-section .hero-video-wrapper video,
    .hero-section .hero-image-wrapper img {
        height: 100vh !important;
        height: 100svh !important;
        object-fit: cover;
    }

    .hero-section, 
    .hero-section figure {
        overflow: hidden !important;
    }

        .hero-section .hero-section-image {
            height: 100vh !important;
            height: 100svh !important;
        }

            .hero-section .hero-section-image.image-box-natural img {
                width: 100%;
                object-fit: cover;
            }



/* Front page. */
.hero-section.front-page-hero-section {
}

    .hero-section.front-page-hero-section .hero-media-wrapper {
        position: relative;
        height: 100vh;
        height: 100svh;
    }

        .hero-section.front-page-hero-section .hero-media-wrapper .hero-section-media-box {
            position: absolute;
            top: 49.99%;
            left: 49.99%;
            transform: translate( -50%, -50%);
        }

            .hero-section.front-page-hero-section .hero-media-wrapper .hero-section-media-box img,
            .hero-section.front-page-hero-section .hero-media-wrapper .hero-section-media-box {
                height: 100vh !important;
                height: 100svh !important;
                object-fit: cover;
            }



/* Scroll icon. */
.hero-section.front-page-hero-section .hero-media-wrapper .scroll-icon,
.hero-section .hero-image-wrapper .scroll-icon,
.hero-section .hero-video-wrapper .scroll-icon {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 50px;
    width: 2px;
    background: var(--ks-primary-white);
}